## tempest-horizon 0.0.1+git.2018.01.24.a23f4074fd

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
# tempest>=6.0.0
oslo.config>=4.6.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
six>=1.10.0 # MIT
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
tempest-horizon (0.0.1+git.2018.01.24.a23f4074fd-2) unstable; urgency=medium

  * Add python3-bytes-vs-string-in-test_dashboard_basic_ops.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jun 2018 23:06:14 +0200

tempest-horizon (0.0.1+git.2018.01.24.a23f4074fd-1) unstable; urgency=low

  * Initial packaging (Closes: #897413).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 May 2018 10:59:14 +0200

=== debian/control ===
Source: tempest-horizon
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 75~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage,
 python3-hacking,
 python3-oslo.config (>= 4.6.0),
 python3-oslo.log (>= 3.30.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1.10.0),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 17.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit (>= 1.0.0),
 tempest (>= 17.1.0),
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/tempest-horizon
Vcs-Git: https://salsa.debian.org/openstack-team/libs/tempest-horizon.git
Homepage: https://github.com/openstack/tempest-horizon

Package: python3-tempest-horizon
Architecture: all
Section: python
Depends:
 python3-babel (>= 2.3.4),
 python3-oslo.config (>= 4.6.0),
 python3-oslo.log (>= 3.30.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-tempest (>= 17.1.0),
 tempest (>= 17.1.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Horizon plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the OpenStack dashboard (aka: Horizon) plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python3-tempest-horizon/usr/share/doc/python3-tempest-horizon/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/glance/tags .*/(\d[\d\.]+)\.tar\.gz

## tempest-horizon 1.0.0

=== debian/changelog ===
tempest-horizon (1.0.0-4) unstable; urgency=medium

  * Uploading to unstable

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 May 2020 00:44:32 +0200

tempest-horizon (1.0.0-3) experimental; urgency=medium

  * Transition to horizon-tempest-plugin instead of python3-tempest-horizon for
    consistency with the other packages.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 May 2020 10:15:06 +0200

tempest-horizon (1.0.0-2) experimental; urgency=medium

  * Move the package to the tempest subproject.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 18:20:16 +0200

tempest-horizon (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to debhelper-compat 11.
  * Drop patch applied upstream:
    python3-bytes-vs-string-in-test_dashboard_basic_ops.py.patch
  * Do not install docs, they are gone from upstream sources.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

## tempest-horizon 1.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,9 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-Babel!=2.4.0,>=2.3.4 # BSD
-# tempest>=6.0.0
 oslo.config>=4.6.0 # Apache-2.0
-oslo.log>=3.30.0 # Apache-2.0
-six>=1.10.0 # MIT
 tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
tempest-horizon (1.1.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090700).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:30:44 +0100

tempest-horizon (1.1.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1046402).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:19:22 +0200

tempest-horizon (1.1.0-3) unstable; urgency=medium

  * Drop python3-tempest-horizon transitional package (Closes: #1038312).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 09:24:19 +0200

tempest-horizon (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:06:42 +0200

tempest-horizon (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:23:04 +0200

=== debian/control ===
Source: tempest-horizon
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-oslo.config,
 python3-subunit,
 python3-stestr,
 python3-tempest,
 subunit,
 tempest,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/tempest-horizon
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/tempest-horizon.git
Homepage: https://github.com/openstack/tempest-horizon

Package: horizon-tempest-plugin
Architecture: all
Section: python
Depends:
 python3-oslo.config,
 python3-pbr,
 python3-tempest,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Integration Test Suite - Horizon plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the OpenStack dashboard (aka: Horizon) plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
